unit uExceptions;

interface

uses
  uDADataTable;

const
  AUF_FKVIOLATION = 'violation of FOREIGN KEY';
  AUF_HAVEVALUE = 'must have a value';  

type
  IApplyUpdateFailedException = interface
  ['{B090A762-3D65-405E-A810-14DB4F6E8F82}']
    procedure ShowApplyUpdateFailed (const Error: EDAApplyUpdateFailed);
  end;

implementation

end.
